Loading...
Searching...
No Matches
pcl::PointWithScale Struct Reference
Module common

A point structure representing a 3-D position and scale. More...

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::PointWithScale:

## Public Member Functions

constexpr | PointWithScale (const _PointWithScale &p)
constexpr | PointWithScale ()
constexpr | PointWithScale (float _x, float _y, float _z, float _scale=1.f, float _angle=-1.f, float _response=0.f, int _octave=0)

## Friends

std::ostream & | operator<< (std::ostream &os, const PointWithScale &p)

## Additional Inherited Members

Public Attributes inherited from pcl::_PointWithScale
union { |
float scale |
| Diameter of the meaningful keypoint neighborhood. More...
float size |
}; |  |
float | angle
| Computed orientation of the keypoint (-1 if not applicable).
float | response
| The response by which the most strong keypoints have been selected.
int | octave
| octave (pyramid layer) from which the keypoint has been extracted.

## Detailed Description

A point structure representing a 3-D position and scale.

Definition at line 1658 of file point_types.hpp.

## Constructor & Destructor Documentation

## PointWithScale() [1/3]

constexpr pcl::PointWithScale::PointWithScale | ( | const _PointWithScale & | p | ) |

inline constexpr

Definition at line 1660 of file point_types.hpp.

## PointWithScale() [2/3]

constexpr pcl::PointWithScale::PointWithScale | ( |  | ) |

inline constexpr

Definition at line 1663 of file point_types.hpp.

## PointWithScale() [3/3]

constexpr pcl::PointWithScale::PointWithScale | ( | float | _x,
|  | float | _y,
|  | float | _z,
|  | float | _scale = `1.f`,
|  | float | _angle = `-1.f`,
|  | float | _response = `0.f`,
|  | int | _octave = `0`
| ) |  |

inline constexpr

Definition at line 1665 of file point_types.hpp.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const PointWithScale & | p
| ) |  |

friend

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp